Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.meta.map
Class StateImageIndicator.CustomUpdate

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.runtime.AbstractRow
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.meta.map.StateImageIndicator.CustomUpdate

All Implemented Interfaces:
  Row, RowManager

Enclosing class:
  StateImageIndicator

public static class StateImageIndicator.CustomUpdate
extends AbstractRow
implements RowManager

Row implementation we use to pass to versionable mappings so they can set up the where conditions we need to add to update statements.

Field Summary

Fields inherited from interface com.solarmetric.rd.kodo.impl.jdbc.runtime.Row
`ACTION_DELETE, ACTION_INSERT, ACTION_UPDATE`

Method Summary
`void` | `flushAllRows(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)` Flush the logical row.
`void` | `flushSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)` Flush the secondary row; after flushing the row is available for reuse.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Row` | `getAllRows(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action)` Return a logical row representing an update that should be made to all rows of the given table.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Row` | `getRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action, java.lang.Object oid, boolean create)` Return the row for the given table and owner object, or null if `create` is false and the row has not already been created.
`com.solarmetric.rd.kodo.impl.jdbc.runtime.Row` | `getSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action)` Return a row for the given secondary table.
`java.lang.String` | `getSQL()` Return a boolean SQL expression that should be added to the WHERE clause of an UPDATE to test whether the current database record matches our stored version.
`void` | `setObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.lang.Object val, int metaType, java.lang.Object arg)` Set the value of the given column in this row.
`int` | `setParameters(java.sql.PreparedStatement stmnt, int idx)` Set the prepared parameter values used in the SQL returned from `getSQL()`.
`void` | `whereObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.lang.Object val, int metaType, java.lang.Object arg)` Set an equality condition on the value of the given column in this row.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.runtime.AbstractRow
`flushObjectId, getAction, getFailedObject, getTable, setArray, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setChar, setCharacterStream, setClob, setDate, setDate, setDouble, setFailedObject, setFloat, setForeignKey, setInt, setLocale, setLong, setNull, setPrimaryKey, setShort, setString, setTime, setTimestamp, toSQL, whereArray, whereAsciiStream, whereBigDecimal, whereBigInteger, whereBinaryStream, whereBlob, whereBoolean, whereByte, whereBytes, whereChar, whereCharacterStream, whereClob, whereDate, whereDate, whereDouble, whereFloat, whereForeignKey, whereInt, whereLocale, whereLong, whereNull, wherePrimaryKey, whereShort, whereString, whereTime, whereTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSQL

    public java.lang.String getSQL()

  Return a boolean SQL expression that should be added to the WHERE clause of an UPDATE to test whether the current database record matches our stored version.

### setParameters

    public int setParameters(java.sql.PreparedStatement stmnt,
                             int idx)
                      throws java.sql.SQLException

  Set the prepared parameter values used in the SQL returned from `getSQL()`.

  Parameters:
    `stmnt` - the statement to parameterize
    `idx` - the parameter index at which to start
    `java.sql.SQLException`

### getRow

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Row getRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                                                                int action,
                                                                java.lang.Object oid,
                                                                boolean create)

  Description copied from interface: `RowManager`
  Return the row for the given table and owner object, or null if `create` is false and the row has not already been created. The action must be one of `Row.ACTION_INSERT`, `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.

  Specified by:
    `getRow` in interface `RowManager`

### getSecondaryRow

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Row getSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                                                                         int action)

  Description copied from interface: `RowManager`
  Return a row for the given secondary table. The action must be one of `Row.ACTION_INSERT`, `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.

  Specified by:
    `getSecondaryRow` in interface `RowManager`

### flushSecondaryRow

    public void flushSecondaryRow(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)

  Description copied from interface: `RowManager`
  Flush the secondary row; after flushing the row is available for reuse. It will retain all previously set values.

  Specified by:
    `flushSecondaryRow` in interface `RowManager`

### getAllRows

    public com.solarmetric.rd.kodo.impl.jdbc.runtime.Row getAllRows(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                                                                    int action)

  Description copied from interface: `RowManager`
  Return a logical row representing an update that should be made to all rows of the given table. The action must be one of `Row.ACTION_UPDATE`, `Row.ACTION_DELETE`.

  Specified by:
    `getAllRows` in interface `RowManager`

### flushAllRows

    public void flushAllRows(com.solarmetric.rd.kodo.impl.jdbc.runtime.Row row)

  Description copied from interface: `RowManager`
  Flush the logical row.

  Specified by:
    `flushAllRows` in interface `RowManager`

### setObject

    public void setObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.lang.Object val,
                          int metaType,
                          java.lang.Object arg)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setObject` in interface `Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments
    `java.sql.SQLException`

### whereObject

    public void whereObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                            java.lang.Object val,
                            int metaType,
                            java.lang.Object arg)
                     throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereObject` in interface `Row`
  Parameters:
    `col` - the column being set
    `val` - the value for the column
    `metaType` - one of the constants from `FieldMapping` indicating the type of the supplied value
    `arg` - some JDBC types can use additional arguments
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.